/*
** File: device.h  
** Project: ADB3 monolithic driver
** Purpose: Data structures and definitions private to ADB3 monolithic driver,
**          including the device context structure.
**
** (C) Copyright Alpha Data 2010
*/

#if !defined(ADATA_MONO_DEVICE_H)
#define ADATA_MONO_DEVICE_H

#include <df.h>

#include <core/device.h>
#include <modules/admxrc3/device.h>

struct _DeviceContext;
typedef struct _DeviceContext DeviceContext;

struct _DeviceContext {
  DfDeviceObject* pDevObj;
  Adb3CoreDeviceContext adb3core;
  Admxrc3DeviceContext admxrc3;
};

#endif
