/*
** File: identify.h  
** Project: ADMXRC3 module driver
** Purpose: Defines function prototypes for identifying device based on its model
**
** (C) Copyright Alpha Data 2009-2010
*/

#if !defined(ADATA_ADMXRC3_IDENTIFY_H)
#define ADATA_ADMXRC3_IDENTIFY_H

#include <df.h>

#include "device.h"
#include <core/coreif.h>

extern boolean_t
admxrc3Identify(
  Admxrc3DeviceContext* pDevCtx,
  CoreModelType model);

#if defined(ADB3_CUSTOM)
extern boolean_t
admxrc3IdentifyCustom(
  Admxrc3DeviceContext* pDevCtx,
  CoreModelType model);
#endif

#endif
